Skip to content

Portals

Use these endpoints to create and view Portals. Portals allow third-party financial institutions to initiate ACH and wire transfers. A Portal consists of a routing and an account number. Multiple Portals can be created for a single Pocket.

List Pocket Portals

Request

This endpoint lists the payment portals associated with a specific Jiko pocket ID.

Returns a PortalListResponse object containing a list of Portal objects.

Security
CodeBearer(Required scopes: pockets.read)
Path
pocket_idstring, (uuid)(Pocket Id)required
Query
type[]Array of strings or null(Type[])
Any of:
Array of strings
status[]Array of strings or null(Status[])
Any of:
Array of strings
cursorstring(Cursor)
Default:""
limitinteger, [ 1 .. 100 ](Limit)
Default:30
curl -i -X GET \
  'https://customer-api.sandbox-api.jikoservices.com/api/v2/pockets/{pocket_id}/portals/?type%5B%5D=VIRTUAL_BANK_ACCOUNT_PORTAL&status%5B%5D=OPEN&cursor=&limit=30' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of any(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "string", "next_page": "string", "items": [ { … } ], "object_type": "CursorList" }